<?php
/*
 * Copyright(c) 2000-2006 LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 */

/*  [̾] SC_Customer
 *  [] 饹
 */
class SC_Customer {
	
	var $conn;
	var $email;
	var $customer_data;		//    
		
	function SC_Customer( $conn = '', $email = '', $pass = '' ) {
		// å󳫻
		/* startSessionư 2005/11/04  */
		sfDomainSessionStart();
		
		// DB³֥
		$DB_class_name = "SC_DbConn";
		if ( is_object($conn)){
			if ( is_a($conn, $DB_class_name)){
				// $conn$DB_class_nameΥ󥹥󥹤Ǥ
				$this->conn = $conn;
			}
		} else {
			if (class_exists($DB_class_name)){
				//$DB_class_nameΥ󥹥󥹤
				$this->conn = new SC_DbConn();			
			}
		}
			
		if ( is_object($this->conn) ) { 
			// DB³Ǥ
			if ( $email ){
				// emailܵҾ
				// $this->setCustomerDataFromEmail( $email );
			}
		} else {
			echo "DB³֥Ȥ˼ԤƤޤ";
			exit;
		}
		
		if ( strlen($email) > 0 && strlen($pass) > 0 ){
			$this->getCustomerDataFromEmailPass( $email, $pass );
		}
	}
	
	function getCustomerDataFromEmailPass( $pass, $email ) {
		// Ͽ줿Τ
		$sql = "SELECT * FROM dtb_customer WHERE email ILIKE ? AND del_flg = 0 AND status = 2";
		$result = $this->conn->getAll($sql, array($email));
		$data = $result[0];
		
		// ѥɤäƤиܵҾcustomer_data˥åȤtrue֤
		if ( sha1($pass . ":" . AUTH_MAGIC) == $data['password'] ){
			$this->customer_data = $data;
			$this->startSession();
			return true;
		}
		return false;
	}
	
	// ѥɤǧ˥
	function setLogin($email) {
		// Ͽ줿Τ
		$sql = "SELECT * FROM dtb_customer WHERE email ILIKE ? AND del_flg = 0 AND status = 2";
		$result = $this->conn->getAll($sql, array($email));
		$data = $result[0];
		$this->customer_data = $data;
		$this->startSession();
	}
	
	// åǿξ˹
	function updateSession() {
		$sql = "SELECT * FROM dtb_customer WHERE customer_id = ? AND del_flg = 0";
		$customer_id = $this->getValue('customer_id');
		$arrRet = $this->conn->getAll($sql, array($customer_id));
		$this->customer_data = $arrRet[0];
		$_SESSION['customer'] = $this->customer_data;
	}
		
	// 򥻥åϿ˽񤭹
	function startSession() {
		sfDomainSessionStart();
		$_SESSION['customer'] = $this->customer_data;
		// å¸
		gfPrintLog("access : user=".$this->customer_data['customer_id'] ."\t"."ip=". $_SERVER['REMOTE_HOST'], CUSTOMER_LOG_PATH );
	}

	// ȡ$_SESSION['customer']˽񤭹
	function EndSession() {
		// $_SESSION['customer']β
		unset($_SESSION['customer']);
		// ˵Ͽ
		gfPrintLog("logout : user=".$this->customer_data['customer_id'] ."\t"."ip=". $_SERVER['REMOTE_HOST'], CUSTOMER_LOG_PATH );
	}
	
	// Ƥ뤫Ƚꤹ롣
	function isLoginSuccess() {
		// Υ᡼륢ɥ쥹DBΥ᡼륢ɥ쥹פƤ
		if(sfIsInt($_SESSION['customer']['customer_id'])) {
			$objQuery = new SC_Query();
			$email = $objQuery->get("dtb_customer", "email", "customer_id = ?", array($_SESSION['customer']['customer_id']));
			if($email == $_SESSION['customer']['email']) {
				return true;
			}
		}
		return false;
	}
		
	// ѥ᡼μ
	function getValue($keyname) {
		return $_SESSION['customer'][$keyname];
	}
	
	// ѥ᡼Υå
	function setValue($keyname, $val) {
		$_SESSION['customer'][$keyname] = $val;
	}
	
	// Ǥ뤫ɤȽ
	function isBirthMonth() {
		$arrRet = split("[- :/]", $_SESSION['customer']['birth']);
		$birth_month = intval($arrRet[1]);
		$now_month = intval(date("m"));
		
		if($birth_month == $now_month) {
			return true;
		}
		return false;
	}
}
?>